MetaSoul

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Protected Member Functions | List of all members
emoshapeio::message Class Reference

`#include <sio_message.h>`

Inheritance diagram for emoshapeio::message:

## Classes
class | list

## Public Types
enum | flag { flag_integer , flag_double , flag_string , flag_binary , flag_array , flag_object , flag_boolean , flag_null }
typedef std::shared_ptr< message > | ptr

## Public Member Functions
virtual | ~message ()
flag | get_flag () const
virtual bool | get_bool () const
virtual int64_t | get_int () const
virtual double | get_double () const
virtual std::string const & | get_string () const
virtual std::shared_ptr< const std::string > const & | get_binary () const
virtual const std::vector< ptr > & | get_vector () const
virtual std::vector< ptr > & | get_vector ()
virtual const std::map< std::string, message::ptr > & | get_map () const
virtual std::map< std::string, message::ptr > & | get_map ()

## Protected Member Functions
| message (flag f)

## Member Typedef Documentation

## ◆ ptr

typedef std::shared_ptr<message> emoshapeio::message::ptr

## Member Enumeration Documentation

## ◆ flag

enum emoshapeio::message::flag

Enumerator
flag_integer |
flag_double |
flag_string |
flag_binary |
flag_array |
flag_object |
flag_boolean |
flag_null |

## Constructor & Destructor Documentation

## ◆ ~message()

virtual emoshapeio::message::~message | ( |  | ) |
| inline virtual

## ◆ message()

emoshapeio::message::message | ( | flag | f | ) |
| inline protected

## Member Function Documentation

## ◆ get_binary()

virtual std::shared_ptr< const std::string > const & emoshapeio::message::get_binary | ( |  | ) | const
| inline virtual

Reimplemented in emoshapeio::binary_message.

## ◆ get_bool()

virtual bool emoshapeio::message::get_bool | ( |  | ) | const
| inline virtual

Reimplemented in emoshapeio::bool_message.

## ◆ get_double()

virtual double emoshapeio::message::get_double | ( |  | ) | const
| inline virtual

Reimplemented in emoshapeio::int_message, and emoshapeio::double_message.

## ◆ get_flag()

flag emoshapeio::message::get_flag | ( |  | ) | const
| inline

## ◆ get_int()

virtual int64_t emoshapeio::message::get_int | ( |  | ) | const
| inline virtual

Reimplemented in emoshapeio::int_message.

## ◆ get_map() [1/2]

virtual std::map< std::string, message::ptr > & emoshapeio::message::get_map | ( |  | ) |
| inline virtual

Reimplemented in emoshapeio::object_message.

## ◆ get_map() [2/2]

virtual const std::map< std::string, message::ptr > & emoshapeio::message::get_map | ( |  | ) | const
| inline virtual

Reimplemented in emoshapeio::object_message.

## ◆ get_string()

virtual std::string const & emoshapeio::message::get_string | ( |  | ) | const
| inline virtual

Reimplemented in emoshapeio::string_message.

## ◆ get_vector() [1/2]

virtual std::vector< ptr > & emoshapeio::message::get_vector | ( |  | ) |
| inline virtual

Reimplemented in emoshapeio::array_message.

## ◆ get_vector() [2/2]

virtual const std::vector< ptr > & emoshapeio::message::get_vector | ( |  | ) | const
| inline virtual

Reimplemented in emoshapeio::array_message.

The documentation for this class was generated from the following file:

- EmoShapeIOLib/Public/sio_message.h